unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  SetWindowPos(Application.Handle, 0, 0, 0, 200, 100,
               SWP_NOZORDER or SWP_NOMOVE);
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  fl: FLASHWINFO;
begin
  fl.cbSize := SizeOf(fl);
  fl.hwnd := Application.Handle;
  fl.dwFlags := FLASHW_ALL;
  fl.uCount := 10;
  fl.dwTimeout := 200;
  FlashWindowEx(fl);
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  fl: FLASHWINFO;
begin
  //Мигание кнопки
  fl.cbSize := SizeOf(fl);
  fl.hwnd := Application.Handle;
  fl.dwFlags := FLASHW_TRAY;
  fl.uCount := 10;
  fl.dwTimeout := 200;
  FlashWindowEx(fl);

  //Инверсия заголовка
  fl.cbSize := SizeOf(fl);
  fl.hwnd := Handle;
  fl.dwFlags := FLASHW_CAPTION;
  fl.uCount := 10;
  fl.dwTimeout := 200;
  FlashWindowEx(fl);
end;

//Скрываем кнопку приложения на панели задач
procedure TForm1.Button4Click(Sender: TObject);
begin
  ShowWindow(Application.Handle, SW_HIDE);
end;

//Скрываем кнопку приложения на панели задач
procedure TForm1.Button5Click(Sender: TObject);
begin
  ShowWindow(Application.Handle, SW_NORMAL);
end;

end.
